# PharData::delMetadata

(PHP 5 >= 5.3.0, PHP 7, PECL phar >= 2.0.0)

PharData::delMetadata — Deletes the global metadata of a zip archive

### Description

PharData::delMetadata ( void ) : bool

> Note:

> This method requires the php.ini setting phar.readonly to be set to 0 in order to work for Phar objects. Otherwise, a PharException will be thrown.

Deletes the global metadata of the zip archive

### Parameters

### Return Values

returns `TRUE` on success, but it is better to check for thrown exception, and assume success if none is thrown.

### Errors/Exceptions

Throws PharException if errors occur while flushing changes to disk.

### Examples

Example #1 A PharData::delMetaData() example

`<?php
try {
$phar = new PharData('myphar.zip');
var_dump($phar->getMetadata());
$phar->setMetadata("hi there");
var_dump($phar->getMetadata());
$phar->delMetadata();
var_dump($phar->getMetadata());
} catch (Exception $e) {
// handle errors
}
?>`

The above example will output:

    NULL
    string(8) "hi there"
    NULL

### See Also

- Phar::delMetadata() - Deletes the global metadata of the phar